> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/external-chat-api/reference/objects/conversation.md).

# Conversation

**Example**

```json
{
    "author": 
    {
        "customIdentifier": null,
        "id": "fc2481f6-28a4-4ca7-849a-344fd6ab1b20",
        "name": "John",
        "image": null,
        "email": "john@dow.com",
        "status": "client",
        "isBot": false
    },
    "creationTime": "2023-09-01T12:56:39.0847826+03:00",
    "feedback": null,
    "fields": [],
    "id": 254626,
    "initialPageUrl": "https://faq.socialboards.com/socialboards",
    "isClosed": false,
    "isTakeoverEnabled": true,
    "lastModifiedTime": "2023-09-01T12:56:39.0847826+03:00",
    "latestPageUrl": "https://faq.socialboards.com/socialboards",
    "messages": [
        {
            "author": {
                "id": "fc2481f6-28a4-4ca7-849a-344fd6ab1b20",
                "name": "John",
                "image": null,
                "email": "john@dow.com",
                "status": "client",
                "isBot": false
            },
            "creationTime": "2023-09-01T12:56:39.0847826+03:00",
            "id": 0,
            "lastModifiedTime": "2023-09-01T12:56:39.0847826+03:00",
            "message": "Hi, I have some questions about the Chat API"
        }
    ],
    "queuePositionInfo": 
    {
        "position": 1403,
        "waitTime": 15
    },
    "totalMessagesCount": 1
}
```

**Fields**

| Field              | Type                                                                                                            | Comments                                                                                                           |
| ------------------ | --------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------ |
| author             | [User](/docs/apis/external-chat-api/reference/objects/user.md) model                                            | Conversation author                                                                                                |
| creationTime       | string                                                                                                          | Conversation creation time                                                                                         |
| feedback           | [ConversationFeedback](/docs/apis/external-chat-api/reference/objects/conversation-feedback.md) model           | Client satisfaction from conversation                                                                              |
| fields             | array of [Custom Field Id with Value](/docs/apis/tickets/reference/objects/base-custom-field.md) models         | Conversation additional fields                                                                                     |
| id                 | integer                                                                                                         | Conversation unique id                                                                                             |
| initialPageUrl     | string                                                                                                          | Represents the URL of the page where the conversation began                                                        |
| isClosed           | boolean                                                                                                         | If `true`, it indicates that the conversation is closed by agent or ended by client                                |
| isTakeoverEnabled  | boolean                                                                                                         | If `true`, it indicates that the conversation in takeover mode                                                     |
| lastModifiedTime   | string                                                                                                          | Conversation last modified time                                                                                    |
| latestPageUrl      | string                                                                                                          | Represents the URL of the latest page where the conversation is taking place                                       |
| messages           | array of [ConversationMessage](/docs/apis/external-chat-api/reference/objects/conversation-message.md) models   | Conversation messages                                                                                              |
| queuePositionInfo  | [ConversationPositionInfo](/docs/apis/external-chat-api/reference/objects/conversation-queue-position.md) model | Current position of conversation in the system. If `-1` conversation not in queue and currently processed by agent |
| totalMessagesCount | integer                                                                                                         | Total messages in conversation                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.socialboards.com/docs/apis/external-chat-api/reference/objects/conversation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
